=== debian/changelog ===
haxml (1:1.13.3-4) unstable; urgency=low

  * control: haxml-doc: Provides: libghc6-haxml-doc.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 06 May 2010 09:01:23 -0300

haxml (1:1.13.3-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Remove uneeded Build-Depends: in libghc6-base-doc
    and libghc6-haskell98-doc.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7
  * Switch to 3.0 (quilt) version
  * Clean changelog via debian/clean

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 18:18:25 +0100

haxml (1:1.13.3-1) unstable; urgency=low

  * Switch back to the latest stable release of haxml, as to not break its
    reverse build dependencies
  * Thus do not depend on polyparse, remove patch adjusting the polyparse
    dependency.
  * Remove patches/09_fix-lexical-error, does not apply to this version of
    HaXml

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 Sep 2009 16:26:10 +0200

haxml (1.19.7-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream release (Closes: 539951, 527987, 464362)
  * debian/compat version 7.
  * debian/control:
    - Make Debian Haskell Group the Maintainer.
    - Standards version 3.8.3.
    - Update ghc, haddock version dependencies.
    - Update debhelper version to prevent lintian warnings.
    - Add binary package libghc6-haxml-prof.
    - Remove hugs binary packages.
    - Section haskell.
    - Build depend on libghc6-polyparse-dev.
  * New CDBS/haskell-devscipts based build to replace old debian/rules.
  * Specify LGPL-2.1 and GPL-2 in debian/copyright.
  * Point debian/watch at hackage.haskell.org.
  * Convert dpatch patches to quilt and remove unneeded patches.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 07 Sep 2009 16:34:41 +0200

haxml (1.17-6) experimental; urgency=low

  * debian/control:
    - Use the new Homepage field.
  * debian/{Canonicalise.1,Xtract.1:
    - Fix spelling error(s). (Closes: #445070)
    - Update the dates, versions and my email address.

 -- Arjan Oosting <arjan@debian.org>  Tue, 09 Oct 2007 22:59:15 +0200

haxml (1.17-5) experimental; urgency=low

  * debian/control:
    - Adjust Xs-Vcs-* fields as the package has moved to the pkg-haskell
      repository on svn.debian.org.
    - Add doc-base to the Recommends of haxml-doc.
  * debian/mk-haskell-depends:
    - Small cleanups.
  * Generate links to other API documentation packages:
    - debian/control:
      + Add libghc6-base-doc and libghc6-haskell98-doc to the
        Build-Depends-Indep so haddock can link to names in other
        packages.
      + Add libghc6-base-doc and libghc6-haskell98-doc to the Recommends
        of haskell-http-doc.
   - debian/patches/10_link-to-other-docs.dpatch
      + Add the appropriate --use-package options so haddock will link to
        names in other packages.

 -- Arjan Oosting <arjan@debian.org>  Mon, 28 May 2007 17:03:59 +0200

haxml (1.17-4) experimental; urgency=low

  * Drop the use of diversions to install libhugs-haxml:
    - debian/control:
      + Make the dependency hugs versioned so we have a hugs
        which is splitted into multiple packages.
      + Add a conflicts against other libhugs-haxml packages.
    - debian/libhugs-haxml.{preinst.in,postrm.in}: dropped.
  * debian/mk-haskell-depends: update script to take installed package
    configuration files as arguments.
  * debian/rules:
    - Call mk-haskell-depends with installed package configuration file as
      argument.
    - Expose package by default after installation (Closes: #392238)
    - Enclose paths in double quotes because directories can contain
      spaces.

 -- Arjan Oosting <arjan@debian.org>  Sat, 13 Jan 2007 21:39:32 +0100

haxml (1.17-3) experimental; urgency=low

  * debian/rules: fix typo which caused HaXml.package.conf to be missing
    from the binary package. (Closes: #394307)
  * debian/patches/07_no-hscolour-cmd.dpatch: don't remove the
    --source-entity and --source-module options as haddock 0.8 is in
    unstable.
  * Stop using update-haskell-control and $ghc6_* variables, as it is not
    necessary and not using it simplifies the work for porters and for me.

 -- Arjan Oosting <arjan@debian.org>  Fri, 20 Oct 2006 22:34:59 +0200

haxml (1.17-2) experimental; urgency=low

  * debian/control.in:
    - add XS-Vcs-Svn field pointing to subversion archive which contains
      this package.
    - replace ${ghc6:Depends} with ${haskell:Depends} which is used by the
      new debian/mk-haskell-depends script.
    - change maintainer email address.
  * debian/rules:
    - replace debian/mk-ghc6-vars with debian/mk-haskell-depends script
      which determines all dependencies by using the installed package
      description file used by ghc-pkg.
    - redo the way we detect if libghc6-haxml-dev gets build.
  * debian/patches/03_build-haxml-prof.dpatch: rearranged to make other
    patches easier.
  * debian/patches/06_hcflags-support.dpatch: only use -package-name HaXml
    for library source but not for the tools. This is needed to build the
    tools with GHC 6.6.

 -- Arjan Oosting <arjan@debian.org>  Tue, 17 Oct 2006 03:51:55 +0200

haxml (1.17-1) experimental; urgency=low

  * New upstream release:

