=== debian/control ===
Source: haxml
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends:
 debhelper (>= 7),
 cdbs,
 haskell-devscripts (>= 0.7),
 ghc6,
 ghc6-prof,
 ghc6-doc,
 html2text
Standards-Version: 3.8.4
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haxml/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haxml
Homepage: http://hackage.haskell.org/package/HaXml

Package: haxml
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: libghc6-haxml-dev (= ${binary:Version})
Description: utilities for using XML documents with Haskell
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 This package contains the HaXml command-line tools.

Package: libghc6-haxml-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: GHC6 libraries for using XML documents with Haskell
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 This package contains the HaXml combinator library for generic XML
 document processing, including transformation, editing, and
 generation for use with GHC6. 

Package: libghc6-haxml-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries for the haskell haxml library
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: haxml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: libghc6-haxml-doc
Description: Documentation of HaXml
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 This package contains the HaXml documentation.
