=== debian/rules ===
#!/usr/bin/make -f

# Standard way of building Haskell binary.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/$(CABAL_PACKAGE) :: changelog build-ghc6-stamp

changelog : docs/changelog.html
	html2text -nobs docs/changelog.html > changelog
