## haxml 1.20.2

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,44 @@
 SOFTWARE = HaXml
-VERSION  = 1.13.3
+VERSION  = 1.20.2
+
+#CPP      = cpp -traditional
+CPP     = cpphs --text --noline	# useful e.g. on MacOS X
+
+DIRS = Text Text/XML Text/XML/HaXml Text/XML/HaXml/Html \
+	Text/XML/HaXml/Xtract Text/XML/HaXml/DtdToHaskell \
+	Text/XML/HaXml/XmlContent
 
 SRCS = \
 	src/Text/XML/HaXml.hs src/Text/XML/HaXml/Combinators.hs \
-	src/Text/XML/HaXml/Lex.hs \
+	src/Text/XML/HaXml/Posn.hs src/Text/XML/HaXml/Lex.hs \
 	src/Text/XML/HaXml/Parse.hs src/Text/XML/HaXml/Pretty.hs \
 	src/Text/XML/HaXml/Types.hs src/Text/XML/HaXml/Validate.hs \
-	src/Text/XML/HaXml/Wrappers.hs src/Text/XML/HaXml/OneOfN.hs \
+	src/Text/XML/HaXml/Wrappers.hs \
 	src/Text/XML/HaXml/Verbatim.hs src/Text/XML/HaXml/Escape.hs \
-	src/Text/XML/HaXml/Xml2Haskell.hs src/Text/XML/HaXml/Haskell2Xml.hs \
+	src/Text/XML/HaXml/OneOfN.hs \
+	src/Text/XML/HaXml/ParseLazy.hs \
+	src/Text/XML/HaXml/ByteStringPP.hs \
+	src/Text/XML/HaXml/TypeMapping.hs \
+	src/Text/XML/HaXml/XmlContent.hs \
+	src/Text/XML/HaXml/XmlContent/Parser.hs \
+	src/Text/XML/HaXml/XmlContent/Haskell.hs \
+	src/Text/XML/HaXml/SAX.hs \
+	src/Text/XML/HaXml/ShowXmlLazy.hs \
+	src/Text/XML/HaXml/Util.hs \
 	src/Text/XML/HaXml/Html/Generate.hs src/Text/XML/HaXml/Html/Parse.hs \
 	src/Text/XML/HaXml/Html/Pretty.hs \
+	src/Text/XML/HaXml/Html/ParseLazy.hs \
 	src/Text/XML/HaXml/Xtract/Combinators.hs \
 	src/Text/XML/HaXml/Xtract/Lex.hs \
 	src/Text/XML/HaXml/Xtract/Parse.hs \
 	src/Text/XML/HaXml/DtdToHaskell/TypeDef.hs \
 	src/Text/XML/HaXml/DtdToHaskell/Convert.hs \
 	src/Text/XML/HaXml/DtdToHaskell/Instance.hs \
-	src/Text/ParserCombinators/HuttonMeijerWallace.hs
+
 TOOLSRCS = \
 	src/tools/DtdToHaskell.hs src/tools/Xtract.hs src/tools/Validate.hs \
-	src/tools/Canonicalise.hs src/tools/MkOneOf.hs
+	src/tools/Canonicalise.hs src/tools/MkOneOf.hs \
+	src/tools/CanonicaliseLazy.hs src/tools/XtractLazy.hs \
 
 AUX =	configure Makefile src/Makefile src/pkg.conf docs/* examples/* \
 	README LICENCE* COPYRIGHT script/echo.c rpm.spec Build.bat \
@@ -67,13 +85,19 @@
 	cd obj/nhc98; $(MAKE) HC=nhc98 install-filesonly-nhc98
 install-filesonly-hugs: install-hugs
 haddock:
-	#do cpp -P -traditional -D__NHC__ $$file >$$file.uncpp;
+	mkdir -p docs/HaXml
+	for dir in $(DIRS); \
+		do mkdir -p docs/HaXml/src/$$dir; \
+		done
 	for file in $(SRCS); \
-		do cpphs --noline -D__NHC__ $$file >$$file.uncpp; \
+		do $(CPP) -D__NHC__=120 -DMYVERSION="\"$(VERSION)\"" $$file >$$file.uncpp.hs; \
+		   HsColour -anchor -html $$file >docs/HaXml/`dirname $$file`/`basename $$file .hs`.html; \
 		done
-	-mkdir docs/HaXml
-	haddock -h -t HaXml -o docs/HaXml $(patsubst %, %.uncpp, $(SRCS))
-	rm $(patsubst %, %.uncpp, $(SRCS))
+	haddock --html --title=HaXml --odir=docs/HaXml \
+		--source-module="src/%{MODULE/.//}.html" \
+		--source-entity="src/%{MODULE/.//}.html#%{NAME}" \
+		$(patsubst %, %.uncpp.hs, $(SRCS))
+	rm -f $(patsubst %, %.uncpp.hs, $(SRCS))
 
 # packaging a distribution
 
@@ -81,10 +105,6 @@
 	rm -f $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION).tar.gz
 	mkdir $(SOFTWARE)-$(VERSION)
 	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
-	-rm -rf $(SOFTWARE)-$(VERSION)/docs/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/SMIL/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/OpenOffice.org/CVS
 	tar cf $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION)
 	rm -rf $(SOFTWARE)-$(VERSION)
 	gzip $(SOFTWARE)-$(VERSION).tar
@@ -93,18 +113,15 @@
 	rm -f $(SOFTWARE)-$(VERSION).zip
 	mkdir $(SOFTWARE)-$(VERSION)
 	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
-	-rm -rf $(SOFTWARE)-$(VERSION)/docs/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/SMIL/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/OpenOffice.org/CVS
 	zip -r $(SOFTWARE)-$(VERSION).zip $(SOFTWARE)-$(VERSION)
 	rm -rf $(SOFTWARE)-$(VERSION)
 
 
 # clear up rubbish
 clean:
-	-rm -r obj/ghc obj/nhc98 obj/hugs
-	-cd examples;    rm -f *.hi *.o
+	rm -rf obj/ghc obj/nhc98 obj/hugs
+	cd examples;    rm -f *.hi *.o
 realclean: clean
-	-rm -f DtdToHaskell Xtract Validate Canonicalise MkOneOf
+	rm -f DtdToHaskell Xtract Validate Canonicalise MkOneOf
+	rm -f XtractLazy CanonicaliseLazy
