=== debian/changelog ===
haxml (1:1.20.2-2build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 17:00:49 -0400

haxml (1:1.20.2-2) unstable; urgency=medium

  * Remove stray libghc6 reference in control 
  * Standards-Version → 3.9.2, no changes required 

 -- Iain Lane <laney@debian.org>  Mon, 06 Jun 2011 09:02:22 +0100

haxml (1:1.20.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * control: Remove remaining references to ghc6.
  * haxml-doc: Change package name and provides to allow versioned
    dependency on libghc6-haxml-doc.
  * libghc-haxml-doc.doc-base: Remove file.

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 27 May 2011 16:40:22 +0200

haxml (1:1.13.3-5) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 22:26:49 +0530
