## haxml 1.22.5

=== debian/changelog ===
haxml (1:1.22.5-2build2) quantal; urgency=low

  * No-change rebuild against GHC 7.4.2-2 ABIs

 -- Iain Lane <laney@ubuntu.com>  Sat, 11 Aug 2012 11:12:24 +0000

haxml (1:1.22.5-2build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 07 Jul 2012 13:41:02 +0400

haxml (1:1.22.5-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package
  * Remove random from cabal file, as this package is split out of ghc 7.4,
    and is not actually used by haxml.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:53:03 -0400

haxml (1:1.22.5-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 21:48:45 +0100
