=== debian/control ===
--- 
+++ 
@@ -6,12 +6,15 @@
 Build-Depends:
  debhelper (>= 7),
  cdbs,
- haskell-devscripts (>= 0.7),
- ghc6,
- ghc6-prof,
- ghc6-doc,
- html2text
-Standards-Version: 3.8.4
+ haskell-devscripts (>= 0.8),
+ ghc,
+ ghc-prof,
+ ghc-doc,
+ libghc-polyparse-dev,
+ libghc-polyparse-prof,
+ libghc-polyparse-doc,
+ html2text,
+Standards-Version: 3.9.2
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haxml/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haxml
 Homepage: http://hackage.haskell.org/package/HaXml
@@ -20,7 +23,7 @@
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${haskell:Suggests}
-Recommends: libghc6-haxml-dev (= ${binary:Version})
+Recommends: libghc-haxml-dev (= ${binary:Version})
 Description: utilities for using XML documents with Haskell
  .
  HaXml is a collection of utilities for parsing, filtering,
@@ -33,14 +36,13 @@
  .
  This package contains the HaXml command-line tools.
 
-Package: libghc6-haxml-dev
+Package: libghc-haxml-dev
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: GHC6 libraries for using XML documents with Haskell
- .
+Description: GHC libraries for using XML documents with Haskell
  HaXml is a collection of utilities for parsing, filtering,
  transforming, and generating XML documents using Haskell. Its basic
  facilities include: 
@@ -51,16 +53,15 @@
  .
  This package contains the HaXml combinator library for generic XML
  document processing, including transformation, editing, and
- generation for use with GHC6. 
+ generation for use with GHC.
 
-Package: libghc6-haxml-prof
+Package: libghc-haxml-prof
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
 Description: Profiling libraries for the haskell haxml library
- .
  HaXml is a collection of utilities for parsing, filtering,
  transforming, and generating XML documents using Haskell. Its basic
  facilities include: 
@@ -69,18 +70,16 @@
   - an XML validator,
   - pretty-printers for XML and HTML. 
  .
- .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
-Package: haxml-doc
+Package: libghc-haxml-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${haskell:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Provides: libghc6-haxml-doc
+Provides: haxml-doc
 Description: Documentation of HaXml
- .
  HaXml is a collection of utilities for parsing, filtering,
  transforming, and generating XML documents using Haskell. Its basic
  facilities include:
