=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  cdbs,
- haskell-devscripts (>= 0.8),
+ haskell-devscripts (>= 0.8.13),
  ghc,
  ghc-prof,
  ghc-doc,
@@ -14,7 +14,7 @@
  libghc-polyparse-prof,
  libghc-polyparse-doc,
  html2text,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haxml/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haxml
 Homepage: http://hackage.haskell.org/package/HaXml
