=== debian/control ===
Source: haxml
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Erik de Castro Lopo <erikd@mega-nerd.com>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-polyparse-dev,
 libghc-polyparse-dev (>= 1.10),
 libghc-polyparse-prof,
 libghc-random-dev,
 libghc-random-prof,
Build-Depends-Indep:
 ghc-doc,
 html2text,
 libghc-polyparse-doc,
 libghc-random-doc,
Standards-Version: 3.9.8
Homepage: http://projects.haskell.org/HaXml/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haxml
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: haxml
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libghc-haxml-dev (= ${binary:Version}),
Suggests:
 ${haskell:Suggests},
Description: utilities for using XML documents with Haskell
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the HaXml command-line tools.

Package: libghc-haxml-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: GHC libraries for using XML documents with Haskell
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the HaXml combinator library for generic XML
 document processing, including transformation, editing, and
 generation for use with GHC.

Package: libghc-haxml-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Profiling libraries for the haskell haxml library
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-haxml-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 haxml-doc,
Description: Documentation of HaXml
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the HaXml documentation.
