=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Erik de Castro Lopo <erikd@mega-nerd.com>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -15,15 +16,17 @@
  libghc-polyparse-prof,
  libghc-random-dev,
  libghc-random-prof,
+ libghc-semigroups-dev,
+ libghc-semigroups-prof,
 Build-Depends-Indep:
  ghc-doc,
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/HaXml/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haxml
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]
 
 Package: haxml
 Architecture: any
