## haxml 1.25.5

=== debian/changelog ===
haxml (1:1.25.5-2) unstable; urgency=medium

  * Patch for newer base and polyparse.

 -- Clint Adams <clint@debian.org>  Sun, 07 Jun 2020 18:53:43 -0400

haxml (1:1.25.5-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 31 Aug 2019 09:58:15 -0400
