=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
+ haskell-devscripts (>= 0.13),
  debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
- haskell-devscripts (>= 0.13),
- libghc-polyparse-dev,
- libghc-polyparse-dev (>= 1.10),
+ libghc-polyparse-dev (>= 1.12.1),
+ libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
- libghc-random-dev,
+ libghc-random-dev (>= 1.0),
+ libghc-random-dev (<< 1.2),
  libghc-random-prof,
  libghc-semigroups-dev,
  libghc-semigroups-prof,
@@ -23,7 +24,7 @@
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://projects.haskell.org/HaXml/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]
