## haxml 1.25.9

=== debian/changelog ===
haxml (1:1.25.9-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 19 Jul 2022 13:26:51 +0300
