## haxml 1.25.11

=== debian/changelog ===
haxml (1:1.25.11-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 22 Oct 2022 13:43:25 +0300
