=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
  libghc-random-dev (>= 1.0),
- libghc-random-dev (<< 1.2),
+ libghc-random-dev (<< 1.3),
  libghc-random-prof,
  libghc-semigroups-dev,
  libghc-semigroups-prof,
@@ -24,8 +24,8 @@
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 4.5.0
-Homepage: http://projects.haskell.org/HaXml/
+Standards-Version: 4.6.1
+Homepage: https://github.com/HaXml/HaXml
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]
