=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cdbs,
  haskell-devscripts (>= 0.13),
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  libghc-polyparse-dev (>= 1.12.1),
  libghc-polyparse-dev (<< 1.14),
@@ -24,7 +24,7 @@
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/HaXml/HaXml
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]
