## haxml 1.25.14

=== debian/changelog ===
haxml (1:1.25.14-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * New upstream release (Closes: #1126213)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 28 Jan 2026 20:22:16 +0200
