=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
+ dh-sequence-haskell,
  haskell-devscripts (>= 0.13),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ghc (>= 9.4),
  ghc-prof,
  libghc-polyparse-dev (>= 1.12.1),
