=== debian/rules ===
#!/usr/bin/make -f

#changelog : docs/changelog.html
#	html2text -nobs docs/changelog.html > changelog

%:
	dh $@
